/*------------------------------------------------------------

    FRONT END STYLESHEET

------------------------------------------------------------*/


/*========== GLOBAL STYLES ==========*/

* {
    outline: none !important;
}

html {
    height: 100%;
    font-size: 15px;
}

body {
    height: 100%;
    color: #666;
    font-family: 'Lato';
    font-size: 1rem;
    line-height: 1.5;
    background-color: #ffffff;
}

h1 {
    margin-top: 0;
    color: #0081c5;
    font-size: 2.5rem;
    font-weight: 600;
}

h2 {
    margin-top: 0;
    font-weight: 600;
    font-style: italic;
    color: #333;
}

a {
    color: #cc0000;
    -webkit-transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}

a:hover,
a:active,
a:focus {
    color: #950000
}

#content {
    padding-top: 170px;
}

.content_block {
    padding: 80px 0;
}

.alert {
    position: absolute;
    top: 20%;
    z-index: 200;
    left: 50%;
    color: #666;
    font-size: 16px;
    padding: 50px;
    width: 600px;
    margin-left: -300px;
    border-radius: 0;
    text-align: center;
    background: #fff;
    box-shadow: 0 0 0 1000000px rgba(27, 33, 44, 0.75);
}

.alert .close_btn {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}


/*========== SHARE BUTTONS ==========*/

#share_buttons {
    text-align: center;
    margin-bottom: 20px;
}

#share_buttons a {
    float: none;
    display: inline-block;
    border: 1px solid #999999;
    border-radius: 100px;
    width: 30px;
    height: 34px;
    text-align: center;
    box-sizing: content-box;
    font-size: 20px;
    margin: 0;
    transition: all .25s ease;
}

#share_buttons a:hover {
    background: #000000;
    border: 1px solid #000000;
}

#share_buttons a i {
    line-height: 34px;
    color: #999999;
}


/*========== BUTTONS ==========*/

.btn {
    font-size: .8rem;
    font-weight: 800;
    text-transform: uppercase;
    border: 0;
    box-shadow: inset 0 -3px 0 rgba(0,0,0,.3);
}

.btn-danger {
    color: #ffffff;
    background-color: #cc0000;
}

.btn-lg {
    padding: 15px 25px;
    font-size: 1rem;
}

/*========== FORMS ==========*/

form .honeypot {
    visibility: hidden;
    position: absolute;
}

form .required {
    color: #cc0000;
}

form .form-control {
    border-radius: 0;
}


/*========== HEADER & NAVIGATION ==========*/

#header_primary {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    background: rgb(0,129,197);
    background: -moz-linear-gradient(left,  rgba(0,129,197,1) 20%, rgba(0,182,209,1) 70%);
    background: -webkit-linear-gradient(left,  rgba(0,129,197,1) 20%,rgba(0,182,209,1) 70%);
    background: linear-gradient(to right,  rgba(0,129,197,1) 20%,rgba(0,182,209,1) 70%);
}

#header_primary:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    width: 100%;
    height: 120px;
    background-image: url(../img/bg_swimmer.png);
    background-position: top right;
    background-repeat: no-repeat;
}

#header_primary #logo {
    position: relative;
    z-index: 2;
    display: inline-block;
    height: 120px;
    padding: 20px 0;
    text-align: left;
}

#header_primary #logo img {
    height: 100%;
}

#navigation {
    position: absolute;
    top: 120px;
    z-index: 100;
    width: 100%;
    background: rgb(204,0,0); /* Old browsers */
    background: -moz-linear-gradient(top,  rgba(204,0,0,1) 20%, rgba(153,0,0,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(204,0,0,1) 20%,rgba(153,0,0,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(204,0,0,1) 20%,rgba(153,0,0,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

#navigation .navbar {
    margin: 0 auto;
    padding: 0;
    border: 0;
    background: transparent;
}

#navigation .navbar-nav {
    width: 100%;
}

#navigation .navbar-nav > li > a {
    margin-left: 5px;
    padding: 0 20px;
    color: #ffffff;
    font-size: 1rem;
    font-weight: 800;
    line-height: 50px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
}

#navigation .navbar-nav > li > a:hover,
#navigation .navbar-nav > li > a:active,
#navigation .navbar-nav > li > a:focus {
    color: #ffffff;
    background-color: rgba(255,255,255,.2);
}

#navigation .navbar-nav > li.current > a {
    color: #ffffff;
    background-color: #00283e;
}


/* Mobile Menu */

#navigation .icon-bar {
    background-color: #ffffff;
}


/*========== SIDE BLOCKS ==========*/

.side_block {
    margin-bottom: 20px;
    padding: 20px;
    background: #f0f0f0;
    border-bottom: 3px solid #dddddd; 
}

.side_block h3 {
    margin-top: 0;
    color: #0081c5;
    font-size: 1.25rem;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 2px;
}


/*========== HOMEPAGE ==========*/

.home #intro {
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: center left;
}

.home #intro .inner {
    padding: 0 80px;
}

.home #intro h1 {
    color: #0081c5;
    max-width: 575px;
    font-size: 2.5rem;
    font-weight: 900;
    text-transform: uppercase;
}

.home #financing {
    padding: 80px 0 50px 0;
    border: 10px solid #eee;
    border-width: 10px 0;
}

.home #financing img {
    display: block;
    margin-bottom: 20px;
}

.home #financing h2 {
    margin-top: 0;
    font-size: 1rem;
    font-weight: 800;
    line-height: 1.5;
}

.home #financing ul {
    margin: 0;
}

.home #financing ul > li {
    margin-bottom: 30px;
    padding-left: 30px;
    position: relative;
}

.home #financing ul > li > i {
    position: absolute;
    left: 0;
    top: 1px;
    color: #0081c5;
    font-size: 1.4rem;
}

.home #financing ul > li > strong {
    color: #0081c5;
}


/*========== CONTACT PAGE ==========*/

#gmaps {
    border-bottom: 2px solid #d5d5d5;
}

#gmap_canvas {
    width: 100%;
    height: 500px;
}

#gmap_canvas * {
    transition: none !important;
}

#gmap_canvas img {
    max-width: none!important;
    background: none!important
}

#contact_form {
    margin-top: -200px;
    padding: 40px 40px 30px;
    border: 1px solid #d5d5d5;
    background-color: #fff;
    box-shadow: 0 3px 10px rgba(0, 0, 0, .1);
    background-size: 280px, 46px;
    background-position: 275px 0, 44% -26px;
}


/*========== GALLERY ==========*/


#gallery  {
    padding: 50px 0 0;
    color: #ffffff;
    background: rgb(0,129,197);
    background: -moz-linear-gradient(left,  rgba(0,129,197,1) 20%, rgba(0,182,209,1) 70%);
    background: -webkit-linear-gradient(left,  rgba(0,129,197,1) 20%,rgba(0,182,209,1) 70%);
    background: linear-gradient(to right,  rgba(0,129,197,1) 20%,rgba(0,182,209,1) 70%);
}

#gallery:after {
    content: "";
    display: block;
    margin-top: 50px;
    height: 150px;
    background-image: url(../../assets/img/bg_swoosh2.png);
}

#gallery h3 {
    margin: 0 0 5px;
    font-weight: 800;
    font-size: 1.75rem;
}

#gallery p {
    margin: 0 0 20px 0;
    font-size: 1.2rem;
    font-style: italic;
}

#gallery .thumb {
    display: block;
    height: 130px;
    background-size: cover;
    background-position: 50%;
    background-color: #ffffff;
    border: 2px solid #ffffff;
}

#gallery .thumb:hover {
    text-decoration: none;
}

#gallery .thumb .overlay {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: #fff;
    font-size: 1.5rem;
    background-color: rgba(204, 0, 0, 0.7);
    opacity: 0;
    -webkit-transition: all .25s ease;
    transition: all .25s ease;
}

#gallery .thumb:hover .overlay {
    opacity: 1;
    text-decoration: none;
    cursor: pointer;
}


/*========== FOOTER ==========*/

#footer {
    margin-top: -105px;
    padding: 0 0 30px;
}

#footer h4 {
    margin: 0 0 10px;
    padding: 0 0 10px;
    font-size: 1rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1px;
    border-bottom: 1px solid rgba(255,255,255,0.05);
}

#footer #social {
    float: right;
    margin: 0;
    width: 204px;
}

#footer #social img {
    top: 0px;
    margin: 0 0 0 5px;
    box-shadow: 3px 5px 10px rgba(0,0,0,.3);
    -webkit-box-shadow: 3px 5px 10px rgba(0,0,0,.3);
    -moz-box-shadow: 3px 5px 10px rgba(0,0,0,.3);
    -ms-box-shadow: 3px 5px 10px rgba(0,0,0,.3);
    -o-box-shadow: 3px 5px 10px rgba(0,0,0,.3);
    transition: top .2s ease;
    -webkit-transition: top .2s ease;
    -moz-transition: top .2s ease;
    -ms-transition: top .2s ease;
    -o-transition: top .2s ease;
}

#footer #social p {
    float: left;
    margin: 0 5px 0 0;
    color: #fff;
    font-weight: bold;
    line-height: 38pt;
}

#footer ul {
    margin-top: 50px;
}

#footer ul > li > a {
    font-size: 1.25rem;
}

#footer #copyright {
    margin-top: 30px;
}

/**/
.ribbon-container * {
		-webkit-transition: all 0.5s ease 0s;
       -moz-transition: all 0.5s ease 0s;
         -o-transition: all 0.5s ease 0s;
            transition: all 0.5s ease 0s;
}			
.ribbon-container {
  background: transparent !important;
  position: relative;
  z-index: 1;
  font-weight:normal;
}
.ribbon {
  background: #1b9fe8;
  box-shadow: 2px 6px 12px rgba(0,0,0,0.5);
  /*font-family: Charter, serif;*/
  font-family: impact;
  font-size: 33px;
  line-height: .75;
  text-align: center;
  margin: 0 auto;
  padding: 0.25em 0;
  position: relative;
  width: 100%;
  font-weight:normal;
}
.ribbon:before,
.ribbon:after {
  border: 1.5em solid #0e7ab4;
  content: '';
  display: block;
  position: absolute;
  bottom: -1.5em;
  z-index: -1;
  font-size: 21px;
}
.ribbon:before {
  left: -1.5em;
  border-right-width: 1.5em;
  border-left-color: transparent;
  box-shadow: 2px 2px 2px rgba(0,0,0,0.5);
}
.ribbon:after {
  right: -1.5em;
  border-left-width: 1.5em;
  border-right-color: transparent;
  box-shadow: -2px 2px 2px rgba(0,0,0,0.5);
}
.ribbon-content {
  border-top: 0.0625em dashed #065985;
  border-bottom: 0.0625em dashed #065985;
  box-shadow: inset 0px 1px 1px rgba(0,0,0,0.08), inset 0px -1px 1px rgba(255,255,255,0.08), 0px -1px 1px rgba(255,255,255,0.2), 0px 1px 1px rgba(0,0,0,0.08);
  display: block;
  padding: 0.25em 0;
}
.ribbon-content:before,
.ribbon-content:after {
  content: '';
  display: block;
  position: absolute;
  border-style: solid;
  border-color: #065985 transparent transparent transparent;
  bottom: -1em;
}
.ribbon-content:before {
  left: 0;
  border-width: 1em 0 0 1em;
}
.ribbon-content:after {
  right: 0;
  border-width: 1em 1em 0 0;
}
.ribbon a {
  color: #000;
  text-decoration: none;
  text-shadow: 1px 1px 1px rgba(255,255,255,0.25);
}
.ribbon a span {
	/*font-size: 70px;*/
	font-size: 50px;
}

.ribbon a:hover {
  color: #000;
}